Qutim 0.3

Автор Makiavelly, 01 июля 2012, 18:31:58

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Makiavelly

Добрый день, как поставить в дебиан 6.0.5 qutim 0.3?
У меня при попытке установки из репозитория выдает:
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
qutim : Зависит: libjreen1 но он не будет установлен
         Зависит: libqt4-declarative (>= 4:4.7.0~rc1) но он не может быть установлен
         Зависит: libqt4-network (>= 4:4.7.0~beta1) но 4:4.6.3-4+squeeze1 будет установлен
         Зависит: libqtcore4 (>= 4:4.7.0~beta2) но 4:4.6.3-4+squeeze1 будет установлен
         Зависит: libqtgui4 (>= 4:4.7.0~beta2) но 4:4.6.3-4+squeeze1 будет установлен
         Зависит: libqtwebkit4 (>= 2.0.0) но он не может быть установлен
         Зависит: libqca2-plugin-cyrus-sasl но он не будет установлен
         Рекомендует: qutim-protocol-quetzal но он не будет установлен
         Рекомендует: qutim-plugin-ubuntu но он не будет установлен
         Рекомендует: qutim-plugin-rghostuploader но он не может быть установлен
         Рекомендует: qutim-plugin-sdlsound но он не будет установлен
         Рекомендует: qutim-plugin-qtmultimedia но он не будет установлен
         Рекомендует: qutim-protocol-astral но он не будет установлен
E: Сломанные пакеты
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Brainey

Либо обновиться до тестинга, либо собрать пакет из исходников самому.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru

Makiavelly

Цитата: Brainey от 01 июля 2012, 19:27:19
Либо обновиться до тестинга, либо собрать пакет из исходников самому.

Обновление до тестинга превращает дебиан по стабильности и кол- ву граблей в убунту, а что бы собрать пакет самому нужен QT версии 4.7.1+ который, опять же есть только в тестинге и при попытке стянуть его отдельно через зависимости устанавливается 3й гном, что есть ахтунг, а ещё больший ахтунг, что этот 3й гном не запускается сваливаясь после ввода пароля от аккаунта:)
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Brainey

Цитата: Makiavelly от 01 июля 2012, 22:02:16QT версии 4.7.1+ который, опять же есть только в тестинге и при попытке стянуть его отдельно через зависимости устанавливается 3й гном,
Судя по этому, ваша система уже превращена во что-то сильно напоминающее убунту.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru

Makiavelly

Цитата: Brainey от 01 июля 2012, 22:30:20
Цитата: Makiavelly от 01 июля 2012, 22:02:16QT версии 4.7.1+ который, опять же есть только в тестинге и при попытке стянуть его отдельно через зависимости устанавливается 3й гном,
Судя по этому, ваша система уже превращена во что-то сильно напоминающее убунту.

Отнюдь, только сегодня я ставил чистый дебиан, не добавляя других репозиториев обновил его до тестового, из меню пропали все настройки, на попытку установить любой пакет ругалось на сломанные пакеты и неудовлетворенные зависимости :/
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?

Valeron

Цитата: Makiavelly от 01 июля 2012, 22:56:05только сегодня я ставил чистый дебиан, не добавляя других репозиториев обновил его до тестового
А сразу чистый тестинг поставить не судьба? ???
Enter нажат, к чему теперь рыданья...

vikmos

Собираю на свеже дебиане (не тестинг). Получаю:
[  4%] Building CXX object core/libqutim/CMakeFiles/libqutim.dir/modulemanager.cpp.o
/root/makezone/qutim-0.3.1/core/libqutim/modulemanager.cpp: In constructor 'qutim_sdk_0_3::ModuleManager::ModuleManager(QObject*)':
/root/makezone/qutim-0.3.1/core/libqutim/modulemanager.cpp:304: error: no matching function for call to 'qRegisterMetaTypeStreamOperators()'
make[2]: *** [core/libqutim/CMakeFiles/libqutim.dir/modulemanager.cpp.o] Ошибка 1
make[1]: *** [core/libqutim/CMakeFiles/libqutim.dir/all] Ошибка 2
make: *** [all] Ошибка 2


ЧЯДНТ?

ihammers

На вики указаны следующие пакеты для сборки:
Цитироватьlibqt4-dev g++ qt4-qmake cmake libidn11-dev libqca2-dev libqca2-plugin-ossl
Они у вас все установлены?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

ferum

Пробовал сбэкпортить с убунтовского ppa всё равно упёрся в QT...не стоит эта прога таких жертв.
Русские дебианщики против цифрового слабоумия !